<ion-header>
    <ion-toolbar mode="ios" class="header-page" color="light">
        <view-memory-cache class="x-small" slot="start" [isDialog]=true></view-memory-cache>
        <ion-title>
            Admin
        </ion-title>
    </ion-toolbar>
</ion-header>
<ion-content class="background-content">
    <ion-grid fixed class="ion-no-padding">
        <ion-list class="ion-margin-bottom">
            <ion-item detail lines="full" (click)="this.commonMethodsTs.toPage_AdminThongTinCaNhan()">
                <ion-avatar class="ion-no-margin-end" slot="start">
                    <img [src]="(data.UrlHinhDaiDien || noImageUser)" class="user-avatar">
                </ion-avatar>
                <ion-label>
                    <h2>{{data.HoTen || 'Chưa cập nhật'}}</h2>
                    <p>
                        {{data.Email || 'Chưa cập nhật'}}
                    </p>
                </ion-label>
            </ion-item>
        </ion-list>
        <ion-list>
            <ion-item>
                <ion-icon slot="start" name="car"></ion-icon>
                <ion-label>DailyXe Config</ion-label>
                <ion-toggle #toggleDailyXe></ion-toggle>
            </ion-item>
            <ion-item detail *ngIf="toggleDailyXe.checked" (click)="this.commonMethodsTs.toPage_AdminAttackMode()">
                <ion-icon size="small" slot="start" name="arrow-dropright"></ion-icon>
                <ion-label>Bật/Tắt Attack mode</ion-label>
            </ion-item>
            <ion-item>
                <ion-icon slot="start" name="car"></ion-icon>
                <ion-label>RaoXe Config</ion-label>
                <ion-toggle #toggleRaoXe></ion-toggle>
            </ion-item>
            <ion-item detail *ngIf="toggleRaoXe.checked" (click)="this.commonMethodsTs.toPage_AdminRanking()">
                <ion-icon size="small" slot="start" name="arrow-dropright"></ion-icon>
                <ion-label>Quản lý Rank thành viên</ion-label>
            </ion-item>
            <ion-item detail *ngIf="toggleRaoXe.checked" (click)="this.commonMethodsTs.toPage_AdminUuDai()">
                <ion-icon size="small" slot="start" name="arrow-dropright"></ion-icon>
                <ion-label>Quản lý Ưu đãi</ion-label>
            </ion-item>
            <ion-item detail *ngIf="toggleRaoXe.checked" (click)="this.commonMethodsTs.toPage_AdminLayoutAlbum()">
                <ion-icon size="small" slot="start" name="arrow-dropright"></ion-icon>
                <ion-label>Layout album</ion-label>
            </ion-item>
            <ion-item detail *ngIf="toggleRaoXe.checked" (click)="this.commonMethodsTs.toPage_AdminSettings()">
                <ion-icon size="small" slot="start" name="arrow-dropright"></ion-icon>
                <ion-label>Config Settings</ion-label>
            </ion-item>
            <ion-item detail *ngIf="toggleRaoXe.checked" (click)="this.commonMethodsTs.toPage_AdminLunix()">
                <ion-icon size="small" slot="start" name="arrow-dropright"></ion-icon>
                <ion-label>Command Linux</ion-label>
            </ion-item>

            <ion-item detail (click)="this.commonMethodsTs.toPage_AdminMenu()">
                <ion-icon slot="start" name="grid"></ion-icon>
                <ion-label>Quản lý menu</ion-label>
            </ion-item>

            <ion-item detail (click)="this.commonMethodsTs.toPage_AdminDangTin()">
                <ion-icon slot="start" name="paper"></ion-icon>
                <ion-label>Quản lý đăng tin</ion-label>
                <ion-badge color="primary" *ngIf="+numNotApproved > 0">{{numNotApproved|number}} chưa duyệt</ion-badge>
            </ion-item>
            <!-- <ion-item detail (click)="this.commonMethodsTs.toPage_AdminUuDai()">
                <ion-icon slot="start" name="trophy"></ion-icon>
                <ion-label>Quản lý ưu đãi</ion-label>
            </ion-item> -->
            <!-- <ion-item detail (click)="this.commonMethodsTs.toPage_AdminSettings()">
                <ion-icon slot="start" name="settings"></ion-icon>
                <ion-label>Quản lý config settings</ion-label>
            </ion-item> -->
            <!-- <ion-item detail (click)="this.commonMethodsTs.toPage_AdminLunix()">
                <ion-icon slot="start" name="build"></ion-icon>
                <ion-label>Command Lunix</ion-label>
            </ion-item> -->
            <ion-item detail (click)="this.commonMethodsTs.toPage_AdminDangTinRating()">
                <ion-icon slot="start" name="star-half"></ion-icon>
                <ion-label>Quản lý đăng tin rating</ion-label>
            </ion-item>
            <!-- <ion-item detail (click)="this.commonMethodsTs.toPage_AdminLayoutAlbum()">
                <ion-icon slot="start" name="star-half"></ion-icon>
                <ion-label>Quản lý layout album</ion-label>
            </ion-item> -->
            <!-- <ion-item detail (click)="this.commonMethodsTs.toPage_AdminRanking()">
                <ion-icon slot="start" name="ribbon"></ion-icon>
                <ion-label>Quản lý ranking</ion-label>
            </ion-item> -->
            <ion-item>
                <ion-icon slot="start" name="person"></ion-icon>
                <ion-label>Quản lý thành viên</ion-label>
                <ion-toggle #toggleQLThanhVien></ion-toggle>
            </ion-item>
            <ion-item detail *ngIf="toggleQLThanhVien.checked" (click)="this.commonMethodsTs.toPage_AdminThanhVien()">
                <ion-icon size="small" slot="start" name="arrow-dropright"></ion-icon>
                <ion-label>Danh sách thành viên</ion-label>
            </ion-item>
            <ion-item detail *ngIf="toggleQLThanhVien.checked" (click)="this.commonMethodsTs.toPage_AdminUserPoint()">
                <ion-icon size="small" slot="start" name="arrow-dropright"></ion-icon>
                <ion-label>Thành viên mua point</ion-label>
                <ion-badge color="primary" *ngIf="+numThanhVienMuaPoint > 0">{{numThanhVienMuaPoint|number}} chưa duyệt
                </ion-badge>
            </ion-item>
            <ion-item detail *ngIf="toggleQLThanhVien.checked" (click)="this.commonMethodsTs.toPage_AdminGroupThanhVien()">
                <ion-icon size="small" slot="start" name="arrow-dropright"></ion-icon>
                <ion-label>Group thành viên</ion-label>
            </ion-item>

            <ion-item>
                <ion-icon slot="start" name="notifications"></ion-icon>
                <ion-label>Quản lý thông báo</ion-label>
                <ion-toggle #toggleThongBao></ion-toggle>
            </ion-item>

            <ion-item detail *ngIf="toggleThongBao.checked" (click)="this.commonMethodsTs.toPage_AdminThongBao()">
                <ion-icon size="small" slot="start" name="arrow-dropright"></ion-icon>
                <ion-label>Hệ thống thông báo</ion-label>
            </ion-item>
            <ion-item detail *ngIf="toggleThongBao.checked" (click)="this.commonMethodsTs.toPage_AdminThongBaoTemplate()">
                <ion-icon size="small" slot="start" name="arrow-dropright"></ion-icon>
                <ion-label>Template thông báo</ion-label>
            </ion-item>

            <ion-item>
                <ion-icon slot="start" name="warning"></ion-icon>
                <ion-label>Quản lý vi phạm</ion-label>
                <ion-toggle #toggleViPham></ion-toggle>
            </ion-item>
            <ion-item detail *ngIf="toggleViPham.checked" (click)="this.commonMethodsTs.toPage_AdminDangTinViolation()">
                <ion-icon size="small" slot="start" name="arrow-dropright"></ion-icon>
                <ion-label>Tin đăng vi phạm</ion-label>
            </ion-item>
            <ion-item detail *ngIf="toggleViPham.checked" (click)="this.commonMethodsTs.toPage_AdminUserBlackList()">
                <ion-icon size="small" slot="start" name="arrow-dropright"></ion-icon>
                <ion-label>Xử lý vi phạm</ion-label>
            </ion-item>
            <ion-item>
                <ion-icon slot="start" name="stats"></ion-icon>
                <ion-label>Quản lý thống kê</ion-label>
                <ion-toggle #toggleThongKe></ion-toggle>
            </ion-item>
            <!-- 
			<ion-item detail *ngIf="toggleThongKe.checked" (click)="this.commonMethodsTs.toPage_AdminThongKe()">
				<ion-icon size="small" slot="start" name="arrow-dropright"></ion-icon>
				<ion-label>Thống kê truy cập</ion-label>
			</ion-item>
			<ion-item detail *ngIf="toggleThongKe.checked"
				(click)="this.commonMethodsTs.toPage_AdminInstallStatistics()">
				<ion-icon size="small" slot="start" name="arrow-dropright"></ion-icon>
				<ion-label>Thống kê thiết bị cài đặt</ion-label>
			</ion-item> -->
            <ion-item detail *ngIf="toggleThongKe.checked" (click)="this.commonMethodsTs.toPage_AdminUserDevice()">
                <ion-icon size="small" slot="start" name="arrow-dropright"></ion-icon>
                <ion-label>Thống kê thiết bị user</ion-label>
            </ion-item>
        </ion-list>
        <ion-list class="ion-margin-bottom">
            <ion-item lines="full">
                <ion-text>Thời gian hệ thống: {{coreVariables.timeDateServer|date: "dd/MM/yyyy HH:mm:ss"}}</ion-text>
            </ion-item>
            <ion-item>
                <ion-text>App Version: {{variables.appVersion}}</ion-text>
            </ion-item>
        </ion-list>
        <ion-list class="ion-margin-bottom">
            <ion-item (click)="logout()">
                <ion-icon slot="start" color="medium" class="la la-sign-out"></ion-icon>
                <ion-label>Đăng xuất</ion-label>
            </ion-item>
        </ion-list>


    </ion-grid>
</ion-content>